Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.objects
Class Cloner.Filter

    java.lang.Object
      org.pdfclown.objects.Cloner.Filter

Enclosing class:
  Cloner

    public static class Cloner.Filter

extends Object

Constructor Summary
`Cloner.Filter(String name)`

Method Summary
`void` | `afterClone(Cloner cloner, PdfArray parent, int index, PdfDirectObject item)` Notifies a complete clone operation on an array item.
`void` | `afterClone(Cloner cloner, PdfDictionary parent, PdfName key, PdfDirectObject value)` Notifies a complete clone operation on a dictionary entry.
`void` | `afterClone(Cloner cloner, PdfObject clone, PdfObject source)` Notifies a complete clone operation on an object.
`boolean` | `beforeClone(Cloner cloner, PdfArray parent, int index, PdfDirectObject item)` Notifies a starting clone operation on an array item.
`boolean` | `beforeClone(Cloner cloner, PdfDictionary parent, PdfName key, PdfDirectObject value)` Notifies a starting clone operation on a dictionary entry.
`String` | `getName()`
`boolean` | `matches(Cloner cloner, PdfObject source)` Gets whether this filter can deal with the given object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cloner.Filter

    public Cloner.Filter(String name)

Method Detail

### afterClone

    public void afterClone(Cloner cloner,
                           PdfObject clone,
                           PdfObject source)

  Notifies a complete clone operation on an object.

  Parameters:
    `cloner` - Object cloner.
    `clone` - Clone object.
    `source` - Source object.

### afterClone

    public void afterClone(Cloner cloner,
                           PdfDictionary parent,
                           PdfName key,
                           PdfDirectObject value)

  Notifies a complete clone operation on a dictionary entry.

  Parameters:
    `cloner` - Object cloner.
    `parent` - Parent clone object.
    `key` - Entry key within the parent.
    `value` - Clone value.

### afterClone

    public void afterClone(Cloner cloner,
                           PdfArray parent,
                           int index,
                           PdfDirectObject item)

  Notifies a complete clone operation on an array item.

  Parameters:
    `cloner` - Object cloner.
    `parent` - Parent clone object.
    `index` - Item index within the parent.
    `item` - Clone item.

### beforeClone

    public boolean beforeClone(Cloner cloner,
                               PdfDictionary parent,
                               PdfName key,
                               PdfDirectObject value)

  Notifies a starting clone operation on a dictionary entry.

  Parameters:
    `cloner` - Object cloner.
    `parent` - Parent clone object.
    `key` - Entry key within the parent.
    `value` - Source value.
  Returns:
    Whether the clone operation can be fulfilled.

### beforeClone

    public boolean beforeClone(Cloner cloner,
                               PdfArray parent,
                               int index,
                               PdfDirectObject item)

  Notifies a starting clone operation on an array item.

  Parameters:
    `cloner` - Object cloner.
    `parent` - Parent clone object.
    `index` - Item index within the parent.
    `item` - Source item.
  Returns:
    Whether the clone operation can be fulfilled.

### getName

    public String getName()

### matches

    public boolean matches(Cloner cloner,
                           PdfObject source)

  Gets whether this filter can deal with the given object.

  Parameters:
    `cloner` - Object cloner.
    `source` - Source object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.